Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Gets the current HHC Configuration

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/configuration' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The current HHC Configuration

Bodyapplication/json
adapterinteger(int32)

The HHC Adapter selected for the instrument

supportedAdaptersArray of objects or null(SupportedHhcAdapter)read-only
Response
application/json
{ "adapter": 0, "supportedAdapters": [ {} ] }

Sets the current HHC Configuration

Request

Security
Bearer
Bodyapplication/json
adapterinteger(int32)

The HHC Adapter selected for the instrument

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/configuration' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "adapter": 0
  }'

Responses

Sets he current HHC Configuration

Bodyapplication/json
adapterinteger(int32)

The HHC Adapter selected for the instrument

Response
application/json
{ "adapter": 0 }

Get the current temperature and target temperature from the HHC

Request

Queries the HHC to retrieve the current and target temperatures

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/temperature-status' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The current and target temperatures

Bodyapplication/json
currentTemperaturenumber or null(float)

The current temperature of the HHC

targetTemperaturenumber or null(float)

The target temperature of the HHC

Response
application/json
{ "currentTemperature": 0.1, "targetTemperature": 0.1 }

Start controlling the temperature on the hhc

Request

Turns on temperature control on the hhc

Security
Bearer
Body
integer(int32)
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/start-temperature-control' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json'

Responses

Temperature control started

Bodyapplication/json
string
Response
application/json
"string"

Stop controlling the temperature on the hhc

Request

Turns off temperature control on the hhc

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/stop-temperature-control' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Temperature control stopped

Bodyapplication/json
string
Response
application/json
"string"

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations